Package org.apache.qpid.proton.codec

# Interface TypeConstructor<V>

All Known Subinterfaces:
  `ArrayType.ArrayEncoding`, `BigIntegerType.BigIntegerEncoding`, `BooleanType.BooleanEncoding`, `FastPathDescribedTypeConstructor<V>`, `IntegerType.IntegerEncoding`, `LongType.LongEncoding`, `PrimitiveTypeEncoding<T>`, `StringType.StringEncoding`, `SymbolType.SymbolEncoding`, `UnsignedIntegerType.UnsignedIntegerEncoding`, `UnsignedLongType.UnsignedLongEncoding`

All Known Implementing Classes:
  `ByteType.ByteEncoding`, `CharacterType.CharacterEncoding`, `DoubleType.DoubleEncoding`, `DynamicTypeConstructor`, `FastPathAcceptedType`, `FastPathAmqpSequenceType`, `FastPathAmqpValueType`, `FastPathApplicationPropertiesType`, `FastPathDataType`, `FastPathDeliveryAnnotationsType`, `FastPathDispositionType`, `FastPathFlowType`, `FastPathFooterType`, `FastPathHeaderType`, `FastPathMessageAnnotationsType`, `FastPathPropertiesType`, `FastPathTransferType`, `FloatType.FloatEncoding`, `ShortType.ShortEncoding`, `UnsignedByteType.UnsignedByteEncoding`

public interface TypeConstructor<V>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`Class<V>`
`getTypeClass()`
`V`
`readValue()`
`void`
`skipValue()`

## Method Details

### readValue

V readValue()

### skipValue

void skipValue()

### encodesJavaPrimitive

boolean encodesJavaPrimitive()

### getTypeClass

Class<V> getTypeClass()